EDIT - task #9280

Refactor: IKeyTerm.getMessage() --> IKeyTerm.getLabel()
11/05/2020 05:18 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.18

Severity: normal

Description

The property name IKeyTerm.message is misleading and confusing it should be renamed to label

From email communication:
Hallo,

ich finde IKeyTerm.getMessage() immer wieder irritierend. Warum denn Message hier handelt es sich doch eindeutig um ein Label,
das seht so auch inm Java-doc.

Ware schdn wir kdnnten das mal &ndern.

Viele GriiBe
Andreas

Ja, da hast du vermutlich Recht. Ich weif3 ehrlich gesagt nicht mehr, warum ich das damals Message genannt habe.
Von mir aus kénnen wir das andern.

AM

Associated revisions

Revision 18620ac6 - 11/27/2020 06:24 PM - Andreas Miiller
ref #9280 rename IKeyTerm.getMessage() => .getLabel()

Revision 340adc01 - 11/27/2020 06:28 PM - Andreas Miiller
ref #9280 adapt appimport to new Term.getLabel()

Revision 137d0ad0 - 11/27/2020 07:08 PM - Andreas Miiller
ref #9280 adapt TaxEditor to new Term.getLabel()

Revision 2a7ad236 - 11/27/2020 07:16 PM - Andreas Miiller
ref #9280 adapt TaxEditor to new Term.getLabel() (cont.)

Revision cc7051ed - 11/27/2020 07:20 PM - Andreas Miiller
ref #9280 adapt TaxEditor to new Term.getLabel() (cont. 2)

History

#1 - 11/05/2020 05:19 PM - Andreas Kohlbecker

- Description updated

#2 - 11/06/2020 11:34 AM - Andreas Miiller
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.18
#3 - 11/27/2020 07:22 PM - Andreas Miiller
- Status changed from New to Closed

- % Done changed from 0 to 100

This has been fixed. As all code compiles now | think review is not necessary. Please review if you think it is needed.
